Issue for bi_warranty_registration (#1,503)
Status: OPEN
Date: 28/06/2021
Assigned to
Contact
Hanee Patel
hanee.patel@browseinfo.in

Description
I'm getting this error while creating website setiing. Please help.
Error:
Odoo Server Error

Traceback (most recent call last):
File "/cloudclusters/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/cloudclusters/odoo/odoo/http.py", line 683, in dispatch
result = self._call_function(**self.params)
File "/cloudclusters/odoo/odoo/http.py", line 359, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/cloudclusters/odoo/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/cloudclusters/odoo/odoo/http.py", line 347, in checked_call
result = self.endpoint(*a, **kw)
File "/cloudclusters/odoo/odoo/http.py", line 912, in __call__
return self.method(*args, **kw)
File "/cloudclusters/odoo/odoo/http.py", line 531, in response_wrap
response = f(*args, **kw)
File "/cloudclusters/odoo/odoo/addons/web/controllers/main.py", line 1377, in call_kw
return self._call_kw(model, method, args, kwargs)
File "/cloudclusters/odoo/odoo/addons/web/controllers/main.py", line 1369, in _call_kw
return call_kw(request.env[model], method, args, kwargs)
File "/cloudclusters/odoo/odoo/api.py", line 394, in call_kw
result = _call_kw_model_create(method, model, args, kwargs)
File "/cloudclusters/odoo/odoo/api.py", line 374, in _call_kw_model_create
result = method(recs, *args, **kwargs)
File "<decorator-gen-186>", line 2, in create
File "/cloudclusters/odoo/odoo/api.py", line 323, in _model_create_single
return create(self, arg)
File "/cloudclusters/odoo/odoo/addons/website_twitter/models/res_config_settings.py", line 66, in create
TwitterConfig = super(ResConfigSettings, self).create(vals)
File "<decorator-gen-65>", line 2, in create
File "/cloudclusters/odoo/odoo/api.py", line 344, in _model_create_multi
return create(self, [arg])
File "/cloudclusters/odoo/odoo/addons/base/models/ir_fields.py", line 533, in create
recs = super().create(vals_list)
File "<decorator-gen-13>", line 2, in create
File "/cloudclusters/odoo/odoo/api.py", line 345, in _model_create_multi
return create(self, arg)
File "/cloudclusters/odoo/odoo/models.py", line 3818, in create
raise ValueError("Invalid field %r on model %r" % (key, self._name))
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/cloudclusters/odoo/odoo/http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/cloudclusters/odoo/odoo/http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
ValueError: Invalid field 'product_weight_in_lbs' on model 'res.config.settings'


Error:

Odoo Server Error



Traceback (most recent call last):

File "/cloudclusters/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch

result = request.dispatch()

File "/cloudclusters/odoo/odoo/http.py", line 683, in dispatch

result = self._call_function(**self.params)

File "/cloudclusters/odoo/odoo/http.py", line 359, in _call_function

return checked_call(self.db, *args, **kwargs)

File "/cloudclusters/odoo/odoo/service/model.py", line 94, in wrapper

return f(dbname, *args, **kwargs)

File "/cloudclusters/odoo/odoo/http.py", line 347, in checked_call

result = self.endpoint(*a, **kw)

File "/cloudclusters/odoo/odoo/http.py", line 912, in __call__

return self.method(*args, **kw)

File "/cloudclusters/odoo/odoo/http.py", line 531, in response_wrap

response = f(*args, **kw)

File "/cloudclusters/odoo/odoo/addons/web/controllers/main.py", line 1381, in call_button

action = self._call_kw(model, method, args, kwargs)

File "/cloudclusters/odoo/odoo/addons/web/controllers/main.py", line 1369, in _call_kw

return call_kw(request.env[model], method, args, kwargs)

File "/cloudclusters/odoo/odoo/api.py", line 396, in call_kw

result = _call_kw_multi(method, model, args, kwargs)

File "/cloudclusters/odoo/odoo/api.py", line 383, in _call_kw_multi

result = method(recs, *args, **kwargs)

File "<decorator-gen-72>", line 2, in button_immediate_install

File "/cloudclusters/odoo/odoo/addons/base/models/ir_module.py", line 73, in check_and_log

return method(self, *args, **kwargs)

File "/cloudclusters/odoo/odoo/addons/base/models/ir_module.py", line 474, in button_immediate_install

return self._button_immediate_function(type(self).button_install)

File "/cloudclusters/odoo/odoo/addons/base/models/ir_module.py", line 592, in _button_immediate_function

modules.registry.Registry.new(self._cr.dbname, update_module=True)

File "/cloudclusters/odoo/odoo/modules/registry.py", line 89, in new

odoo.modules.load_modules(registry._db, force_demo, status, update_module)

File "/cloudclusters/odoo/odoo/modules/loading.py", line 455, in load_modules

loaded_modules, update_module, models_to_check)

File "/cloudclusters/odoo/odoo/modules/loading.py", line 348, in load_marked_modules

perform_checks=perform_checks, models_to_check=models_to_check

File "/cloudclusters/odoo/odoo/modules/loading.py", line 197, in load_module_graph

registry.setup_models(cr)

File "/cloudclusters/odoo/odoo/modules/registry.py", line 272, in setup_models

model._setup_fields()

File "/cloudclusters/odoo/odoo/models.py", line 2834, in _setup_fields

field.setup_full(self)

File "/cloudclusters/odoo/odoo/fields.py", line 399, in setup_full

self._setup_regular_full(model)

File "/cloudclusters/odoo/odoo/fields.py", line 3420, in _setup_regular_full

raise TypeError(msg % (self, field))

Exception



The above exception was the direct cause of the following exception:



Traceback (most recent call last):

File "/cloudclusters/odoo/odoo/http.py", line 639, in _handle_exception

return super(JsonRequest, self)._handle_exception(exception)

File "/cloudclusters/odoo/odoo/http.py", line 315, in _handle_exception

raise exception.with_traceback(None) from new_cause

TypeError: Many2many fields warranty.settings.partner_cc_ids and res.config.settings.partner_cc_ids use the same table and columns

Message and communication history